f



bar - MatLab 6.5 vs MatLab 7.0

In MatLab 6.5, the routine above works normal:

figure;
sem=Average(:,2)./sqrt(Average(:,3));
bar([1:1:7],Average(:,1),sem);
ylabel('% of epochs analyzed')
xlabel('Frequency Band')
title ('Occurrence of Oscillatory Events - Ch X')

%Where Average and sem are vectors;

But, in MatLab 7.0, the same code cause the following error:
??? Error using ==> xychk
Too many input arguments.

Error in ==> bar at 53
  [msg,x,y] = xychk(args{1:nargs},'plot');

Error in ==> cross_subj_analysis>ok_Callback at 327
bar([1:1:7],Average(:,1),sem);

I'd like to know why this occour.

Thanks

Henrique
0
8/5/2008 5:11:02 PM
comp.soft-sys.matlab 211266 articles. 17 followers. lunamoonmoon (258) is leader. Post Follow

1 Replies
1736 Views

Similar Articles

[PageSpeed] 59

In article <g7a1j6$l1$1@fred.mathworks.com>,
Henrique Amaral <henriquetomaz@uol.com.br> wrote:
>In MatLab 6.5, the routine above works normal:

>figure;
>sem=Average(:,2)./sqrt(Average(:,3));
>bar([1:1:7],Average(:,1),sem);
>ylabel('% of epochs analyzed')
>xlabel('Frequency Band')
>title ('Occurrence of Oscillatory Events - Ch X')

>%Where Average and sem are vectors;

>But, in MatLab 7.0, the same code cause the following error:
>??? Error using ==> xychk
>Too many input arguments.

>Error in ==> bar at 53
>  [msg,x,y] = xychk(args{1:nargs},'plot');

>Error in ==> cross_subj_analysis>ok_Callback at 327
>bar([1:1:7],Average(:,1),sem);

>I'd like to know why this occour.

When the third argument is numeric, it must be the bar width.
barwidth must be a scalar, not a vector. In 6.x, when the third
numeric argument is a vector, it is ignored and the default
bar width of 0.8 is used. In 7.x when the third numeric argument is
a vector, the internal routines get confused and complain
using a message that is not very clear.
-- 
  "Not the fruit of experience, but experience itself, is the end."
                                              -- Walter Pater
0
roberson2 (8605)
8/5/2008 5:50:44 PM
Reply:

Similar Artilces:

Upgrading 5.0.5 to 5.0.6/5.0.7
Hi, I've inheirited 3 SCO Servers and need to upgrade one to 5.0.6 from 5.0.5. The other two are at 5.0.6 and I want them all in line. Some questions: 1. Does SCO charge for this upgrade? If so, how much? 2. How easy is the upgrade? 3. Should I go to 5.0.7 instead for all the machines? Thanks, Jon Jon Wynacht typed (on Thu, Sep 02, 2004 at 09:16:17AM -0700): | Hi, | | I've inheirited 3 SCO Servers and need to upgrade one to 5.0.6 from | 5.0.5. The other two are at 5.0.6 and I want them all in line. Some | questions: | | 1. Does SCO charge for this upgrade? If so, how much? ...

Upgrade OSR 5.0.5 to 5.0.6 or 5.0.7
Hi all, I've two olds servers DELL Poweredge 2300 with Raid PERC, funtionning with OSR 5.0.5. Iwant upgrade the OS to 5.0.6 or 5.0.7 but it seems (sco.com) that the poweredge 2300 is bnot supported after OSR 5.0.5 (Hardware comptatibility). has somebody attempt this with success and which drivers (Raid PERC, Adaptec) are used. Thank you in advance fir the help. ----------------------------------------------------- Andre Georgel Email : andre.georgel@noos.fr "La perfection n'est pas lorsqu'il n'y a plus rien � ajouter, mais lorsque qu'il n'y a plus rien � enl...

Totaly new iOS 7.0.5/ 7.0.4/7.0.6 Jailbreak For iPhone 5s,5c,5,4s Just Released
The Most wanted Popular jailbreak iPhone 5 iOS 7 tool from http://iphonejailbreak-unlock.com – compiled by the iPhone Team – has just been released and updated with full and easy support for Unlock/Jailbreak iPhone 5/4S/4/3GS iOS 7/6.1.4/6.1.4 And 7.0.5/7 Untethered. You may have caught our tutorial, which detailed how one could jailbreak their device tethered using Redsn0w, although since it was a pre-iOS 7 and 7.0.5/7 release, users needed to "point" the tool to the older firmware. Team Unlock-Jailbreak was created few years ago, combines some of the jailbreak and unlock communi...

Licensing question 5.0.4 - 5.0.6
We need to upgrade a backup server from 5.0.4 to 5.0.6 (same as live server). Our supplier told us that a base pack upgrade for 5.0.6 is not available and we would have to have 5.0.7. This version of Sco is not certified compatible with our server. Does anyone know if we can install 5.0.7 licences on 5.0.6? Also it feels like the supplier is telling stories to force us into buying a new server. Does anyone know if 5.0.6 base packs are available? Thanks for your help Regards BB p.s. anonymity preserved to prevent Spam. Bigbyte typed (on Tue, Sep 09, 2003 at 04:22:53PM +0100): | We need...

Looking for precompiled 'rsync" for SCO 5.0.5, 5.0.6 and 5.0.7
I was recommended to use 'rsync' for multi-site transfers. But I have come to find that "rsync" does not exist already in OpenServer 5.0.5, 5.0.6 and 5.0.7. You can only get the "source" files which you "must" compile in order to create the "rsync." These seems to require that you compile these on every level of OpenServer you need. Where / how can I get the 'rsync' binaries already compiled for the levels I need? smlunatick typed (on Tue, Aug 18, 2009 at 11:10:53AM -0700): | I was recommended to use 'rsync' for multi-site tr...

5.0 vs 5.5 vs 6.1
Hi I m starting a new project. Probably whith Sql-Anywhere 9 and Clarion. As i prefer Legacy and have other applications running under 5.0, i fancy dooing the job in 5.0. Is there something better in 5.5 or 6.1 (i heard has a lot of Bugs). Is there something that does nor work with Legacy? Glad for every hint and advise. Thanks Mc Key ...

\\BI 7.0\\ SAP 4.7\\ ECC 5.0\\ ECC 6.0\\CRM \\ BW 3.5\\
Check your requirement from the following list of Software SAP IDES for Your Personal Practice at Home. I. SAP ECC 6.0 SR2 12DVDs + Screen shot Installation Guide II. SAP ECC 5.0 IDES 7 DVDs + Screen shot Installation Guide III. SAP 4.7IDES 3 DVDs + Screen shot Installation Guide IV. . SAP SRM 5.0 and CRM 5.0 IDES CRM 4.0IDES V. SAP bi 7.0 (IDES) VI. SAP BW 3.5 VII. SAP CRM 5.0 VIII. SAP CRM 4.0 If you interested Please Send Your Mail at: balakumar14@gmail.com with Your Location and Contact Number. ...

sap IDES of BI 7.0\\ SAP 4.7\\ ECC 5.0\\ ECC 6.0\\CRM \\ BW 3.5
Choose your requirement from the following list of IDES Software SAP IDES for Your Personal Practice at Home. I. SAP ECC 6.0 SR2 12DVDs + Screen shot Installation Guide II. SAP ECC 5.0 IDES 7 DVDs + Screen shot Installation Guide III. SAP 4.7IDES 3 DVDs + Screen shot Installation Guide IV. . SAP SRM 5.0 and CRM 5.0 IDES CRM 4.0IDES V. SAP bi 7.0 (IDES) VI. SAP BW 3.5 VII. SAP CRM 5.0 VIII. SAP CRM 4.0 If you are interested Please Send Your Mail at: balakumar14@gmail.com with Your Location and Contact Number. ...

Eudora 5.2/6.0 vs. VirusScan 7.0
I'm looking for a solution. VirusScan 7.0 -- which we can't replace due to paid site-licensing -- is doing the following: When Eudora 5.2/6.0 is downloading e-mail (via POP), VirusScan 7.0 interrupts the download by trying to delete viruses (either KLEZ or the new SWAN/GIBE.E) while the mail is in the /spool directory. Short of turning off the virus software -- or going to a webmail interface and deleting the offending message -- Eudora is DOA when it hits one of these messages. There's no way to proceed. Anybody have any suggestions about using VirusSca...

AIX 5.1 / VAC 6.0 vs AIX 5.2 / patched VAC 6.0
Hi everybody, I am trying to build some C++ application on the following environment: AIX 5.2 / patched Visual Age C++ 6.0. This application is based on libraries built for the AIX 5.1 / Visual Age C++ 6.0 (base, ie no patch) platform. Compilation works fine. However link results in unresolved symbols (defined in the above libraries). According to IBM support: - AIX 5.1 / Visual Age C++ 6.0 is a supported platform - AIX 5.2 / Visual Age C++ 6.0 with lattest patch is a supported platform - AIX 5.2 / Visual Age C++ 6.00 base version (ie without any patch) isn't a supported platform (!...

SATA on 5.0.6 or 5.0.7?
Anyone running SCO 5.0.6 or 5.0.7 on servers with SATA drives? I'd like to hear from anyone with SATA based servers and if they met their exceptions for performance and reliability. In the past, I have always used SCSI drives for the performance and customary 5 year warrantee. Now SATA drives are available with 5 year warrantee and manufactures claim the drives are equivalent to SCSI performance at 40% less cost. I have checked my distributors and all the SATA drives I can find are 7200 RPM with the exception of the 36G WD360GD 10k RPM SATA drive. I have a request from a client ru...

SCO 5.0.5 vs. 6.0
I'm having a new server built: SuperMicro P4SC8 Mother Board Intel P4 3.0Ghz 800 FSB 1GB CPU 73GB 10K 80 PIN SCSI Drive Sony 20/40GB DAT Drive SDT11000/BN DDS4 Adaptec 2010S Card for Mirroring Comtrol Rockport Card 99126-7 Is there any reason I should update my current version of SCO 5.0.5? Frank The following article is a recommendation from SCO when using P4 http://www.sco.com/ta/115963 "FrankS" <fshank@sbcglobal.net> wrote in message news:CqT_f.65026$H71.37215@newssvr13.news.prodigy.com... > I'm having a new server built: > > SuperMicro P...

moving printers from 5.0.6 to 5.0.7
I have a whole lot of printers attached to ttys(specialix multi serial ports) on SCO 5.0.6, I am setting up a new server with 5.0.7 is there an easy way to move the printers configurations from 5.0.6 to 5.0.7 e,g Can I just copy /usr/spool/lp/*/lp from 5.0.6 to 5.0.7, would that make all my printers appear in 5.0.7 Many thanks denn.el@gmail.com typed (on Mon, May 21, 2007 at 06:39:27AM -0700): | I have a whole lot of printers attached to ttys(specialix multi serial | ports) on SCO 5.0.6, I am setting up a new server with 5.0.7 is there | an easy way to move the printers configurations fro...

Re: SATA on 5.0.6 or 5.0.7?
: "Steve M. Fabac, Jr." <smfabac@att.net> wrote in message : news:4325B488.908204F5@att.net... : > Anyone running SCO 5.0.6 or 5.0.7 on servers with : > SATA drives? : > : > I'd like to hear from anyone with SATA based servers and if : > they met their exceptions for performance and reliability. : > : > In the past, I have always used SCSI drives for the performance : > and customary 5 year warrantee. Now SATA drives are available with : > 5 year warrantee and manufactures claim the drives are equivalent : > to SCSI performance at 40% less co...

Sco OpenServer upgrading 5.0.6 to 5.0.7
I need some help. I need to upgrade my Sco O.S.506 to 507 and told me that I need to reinstall all the operative system and not the upgrading of it. Is it true ? Thanks in advance and excuse me if before someone alredy answered this query but I do not find anything about this matter bye Roberto Pineapple typed (on Wed, Apr 07, 2004 at 01:39:46PM +0200): | I need some help. | I need to upgrade my Sco O.S.506 to 507 and told me that I need to reinstall | all the operative system and not the upgrading of it. | Is it true ? No. | Thanks in advance and excuse me if before someone alredy answe...

System Improvement Ballot enhancements for FTP 6.5/7.0/7.5
Hello Folks, RE: System Improvement Ballot enhancements for FTP 6.5/7.0/7.5 FTP security enhancements requested as part of the MPE SIB have been implemented and are now available for FTP on MPE/iX as Beta Test. These patches can be picked up at the HP-Response Center for customers who have HP support contracts. The communicator article for this new functionality: http://jazz.external.hp.com/papers/Communicator/7.5/ftp_enhancements-1.html FTPHDF0A for C.65.00: http://jazz.external.hp.com/src/patches/FTPHDF0A.htm FTPHDE9A for C.70.00: http://jazz.external.hp.com/src/patches...

7.0 vs. 7.5
What is the compelling case for upgrading from 7.0 to 7.5? Greg Stigers * To join/leave the list, search archives, change list settings, * * etc., please visit http://raven.utc.edu/archives/hp3000-l.html * Did you look at 7.5 communicator ? (available at http://www.docs.hp.com/mpeix/pdf/30216-90336.pdf ) ? -- ============== Denis St-Amand (remove removeit from email address) "Greg Stigers" <gregstigers@spamcop.net> wrote in message news:DdidnWtHwrqWhNzcRVn-rg@fidnet.com... > What is the compelling case for upgrading from 7.0 to 7.5? > > Greg...

Re: System Improvement Ballot enhancements for FTP 6.5/7.0/7.5
Hey, I gotta new (old) one! I mean, I wondered about this when I first learned MPE IV in 1984! So, everyone who has a console has seen the message that says HH:MM/#Snnnn/pin/LOGOFF ON LDEV xx ? Now, how many times has someone come up to you and asked when did so and so log off the system? Huh! If one REALLY wanted to know WHEN WHO logged off, one has to go the log files to learn who session number #Snnnn was at log on time. (Unless the party who logged-off had just logged-on a minues earlier and it was still visible.) How much TROUBLE would it be, to change the Console LOG...

YELLOWDOG 5.0.2 vs UBUNTU 7.0.4 vs OPENSUSE 10.2
Ok, which of this distros is the best (most compatible, most up-to- date, most user-friendly) for Apple PPC Macs?? adri...@accesspro.net ha scritto: > Ok, which of this distros is the best (most compatible, most up-to- > date, most user-friendly) for Apple PPC Macs?? for me, I try all of these, 1) opensuse 2) ubuntu 3) ydl adri...@accesspro.net wrote: > Ok, which of this distros is the best (most compatible, most up-to- > date, most user-friendly) for Apple PPC Macs?? the answer is ubuntu is the most user-friendly (except for kubuntu ...) ydl is the most compatible (a...

Re: System Improvement Ballot enhancements for FTP 6.5/7.0/7.5 #2
AFAIR, all the information is in the JMAT (Job Master Table), so my best = educated guess is that it's just a question of retrieving and formatting = a JMAT entry before releasing it. Now OK, if someone from HP tells me it's easier said than done, that's = OK with me. In a nutshell : not that hard. Christian Lheureux Directeur BU Infrastructure / Manager of IT Infrastructure BU ________________________________ 29, rue de Rosi=E8res 91240 SAINT-MICHEL-SUR-ORGE FRANCE T=E9l=E9phone : +33 1 69 72 12 83 Fax : +33 1 60 15 30 62 Email : lheureux@b...

GnuPG / PGP signed checksums for PostgreSQL 7.4.5, 7.4.4, 7.3.7, 7.3.6, 7.3.5. 7.2.5
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 This is a PGP-signed copy of the checksums for following PostgreSQL versions: 7.4.5 7.4.4 7.3.7 7.3.6 7.3.5 7.2.5 The latest copy of the checksums for these and other versions, as well as information on how to verify the files you download for yourself, can be found at: http://www.gtsm.com/postgres_sigs.html ## Created with md5sum: 97e750c8e69c208b75b6efedc5a36efb postgresql-7.4.5.tar.bz2 bffc3fe775c885489f9071e97f43ab9b postgresql-base-7.4.5.tar.bz2 548a73c898e65f901dbc06d622a2bc63 postgresql-docs-7.4.5.tar.bz2 8be416baeeb32518f2b17a91c4caafba postgresql-opt-7.4.5.tar.bz2 73b8ee0f7ff0ca24cca50434b7276dc1 postgresql-test-7.4.5.tar.bz2 a68d368159319a620074e70d76fbd14b postgresql-7.4.5.tar.gz f18c3d6e88b0b7d7dfcccf06d2884bf9 postgresql-base-7.4.5.tar.gz 4caf0e0f3f094ac21e4b4ff5c49ef6e9 postgresql-docs-7.4.5.tar.gz c23937f00f1d3421a9c2d3ba608d130c postgresql-opt-7.4.5.tar.gz 86174904ccb9a2898836010b016183cf postgresql-test-7.4.5.tar.gz 0433f4b34cbd16dd30e922cefa286db5 postgresql-7.4.4.tar.bz2 3c03ac47ecd7fadffff4c09bf1b0b223 postgresql-base-7.4.4.tar.bz2 6b32dd938322ae8a97504e42abb10697 postgresql-docs-7.4.4.tar.bz2 c9e073c292148bed6bc2b5e72ab5cdea postgresql-opt-7.4.4.tar.bz2 444cf315b44f134c6f31292b49d2e1b1 postgresql-test-7.4.4.tar.bz2 c74d816f5d771fb1f835b43286251165 postgresql-7.4.4.tar.gz 1e21526c90a0b735d4d663fbdfa626be postgresql-base-7.4.4.tar.gz eec55a1b5...

Reboot Vs Init 0/5/6 Vs Shutdown Vs Halt
Hi guys, Can anybody please help me to understand the differences between the system boot commands..... Like when and why should we use reboot command or init 6 or shutdown etc...etc..?? Thanks in advance... -Vinu. "vinsidus@gmail.com" <vinsidus@gmail.com> writes: > Can anybody please help me to understand the differences between the > system boot commands..... Like when and why should we use reboot > command or init 6 or shutdown etc...etc..?? halt(1M) brings down the machine to the PROM (on SPARC) immediately, with very little regard to running the scripts in...

How can I convert a vi of 7.0 to 6.0/6.02 without using LabVIEW 7.0?
I have to work with some vi of LabVIEW 7.0, however i only got LabVIEW 6.02. How can I convert those vi files to 6.02? You not only would need 7.0, but you would also need 6.1 as well. Version 7 can only save to 6.1 and version 6.1 can only save to 6.0. Even if you downloaded the 7.0 evaluation copy, I don't know if the 6.1 evaluation is still available for download. Your best chance is to post the VIs and hope that someone with both versions can do the conversion for you. You should also be aware that there are numerous differences between 7.0 and 6.0 and that a conversion might not even...

[tao-announce] ACE+TAO+CIAO
Hi all, We are pleased to announce the latest ACE+TAO+CIAO beta. This beta has been tagged ACE+TAO+CIAO-5_5_6. The main difference between this release and x.5.5 is that the ACE exception macros (except for ACE_THROW_RETURN and ACE_THROW_SPEC) have been removed from all TAO and CIAO code. It is available from the same download location as per the previous release. http://download.dre.vanderbilt.edu/ The doxygen documentation for the beta is also available. Included with this beta, besides the packages combined of sources and generate makefiles, we also provide source only p...

[tao-users] ACE+TAO+CIAO
Hi all, We are pleased to announce the latest ACE+TAO+CIAO beta. This beta has been tagged ACE+TAO+CIAO-5_5_6. The main difference between this release and x.5.5 is that the ACE exception macros (except for ACE_THROW_RETURN and ACE_THROW_SPEC) have been removed from all TAO and CIAO code. It is available from the same download location as per the previous release. http://download.dre.vanderbilt.edu/ The doxygen documentation for the beta is also available. Included with this beta, besides the packages combined of sources and generate makefiles, we also provide source only pac...

Web resources about - bar - MatLab 6.5 vs MatLab 7.0 - comp.soft-sys.matlab

Undocumented Matlab
Undocumented, unsupported and hidden features in Matlab

Matlab Upazila - Wikipedia, the free encyclopedia
... 23°21′N 90°42.5′E  /  23.35°N 90.7083°E  / 23.35; 90.7083 Coordinates : 23°21′N 90°42.5′E  /  23.35°N 90.7083°E  / 23.35; 90.7083 Matlab ...

Open Directory - Science: Math: Software: MATLAB
The MathWorks - Developers of MATLAB, Simulink and Stateflow. Offers products for data analysis, visualization, application development, simulation, ...

MATLAB Mobile on the App Store
Read reviews, compare customer ratings, see screenshots, and learn more about MATLAB Mobile. Download MATLAB Mobile and enjoy it on your iPhone, ...

The Smart Emergency Response System Using MATLAB and Simulink - YouTube
In the aftermath of an earthquake, every second counts for disaster victims. Imagine a system that can locate people quickly and help first responders ...

The A-Z of Programming Languages: MATLAB
What prompted the development of MATLAB?

Matlab: Invalid .NET Framework. Either the specified framework was not found or is not currently supported ...
If you are trying to compile Matlab into .Net framework, you might encounter this message, even though you have the .Net framework installed ...

Matlab edges closer to electronic design automation world
Matlab, one of the world's most widely used products for algorithmic development, has long occupied its own niche far removed from EDA and hardware ...

Can I/How do I use DMTCP with a parallel pool of MATLAB workers? · Issue #223 · dmtcp/dmtcp · GitHub
dmtcp - DMTCP: Distributed MultiThreaded CheckPointing matlab -nodisplay -r "parpool('local',4); parfor i=1:10, pause(1); fprintf('%i ',i); end; ...

Using MATLAB and SDR to Reverse Engineer 433MHz Messages
... so he focused on studying the methodology and the tools available for analyzing 433MHz RF transmission. He describes the process of using MATLAB ...

Resources last updated: 2/19/2016 2:40:53 AM